## javax.xml.stream.events
Interface Characters

All Superinterfaces:
  XMLEvent, XMLStreamConstants

public interface Characters
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`java.lang.String` `getData()`
`boolean` `isCData()`
`boolean` `isIgnorableWhiteSpace()`
`boolean` `isWhiteSpace()`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getData

    public java.lang.String getData()

### isCData

    public boolean isCData()

### isIgnorableWhiteSpace

    public boolean isIgnorableWhiteSpace()

### isWhiteSpace

    public boolean isWhiteSpace()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.